GET /v1/consents/\{person_id\}
Service: comms · operationId: (none)
Required scopes
(no scope declared — review service config)
Path parameters
person_id(string) required —
Query parameters
brand_id(string) required —
Responses
200 Consent preferences for person
{
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"brand_id": {
"type": "string"
},
"person_id": {
"type": "string"
},
"channel": {
"type": "string"
},
"category": {
"type": "string"
},
"opted_in": {
"type": "boolean"
},
"source": {
"type": "string"
}
},
"required": [
"id",
"brand_id",
"person_id",
"channel",
"category",
"opted_in",
"source"
]
}
}
},
"required": [
"data"
]
}Example
curl -X GET https://comms.platform.loop.health/v1/consents/{person_id} \
-H "Authorization: Bearer $ACCESS_TOKEN"Related
services/comms— service overview- All endpoints — directory across services
- Auth model — how scopes are enforced